Name:		libsigsegv
Version:	2.14
Release:	1
Summary:	library for handling page faults in user mode
License:	GPLv2+
URL:		https://www.gnu.org/software/libsigsegv/
Source0:	https://ftp.gnu.org/gnu/libsigsegv/libsigsegv-%{version}.tar.gz

BuildRequires:  libtool automake

%description
Libsigsegv is a library for handling page faults in user mode. A page fault occurs
when a program tries to access to a region of memory that is currently not available.
Catching and handling a page fault is a useful technique for implementing:
  *  pageable virtual memory,
  *  memory-mapped access to persistent databases,
  *  generational garbage collectors,
  *  stack overflow handlers,
  *  distributed shared memory,
  *  ...
This library supports three sets of functions, all defined in <sigsegv.h>.

%package devel
Summary:	Development libraries for libsigsegv
Requires:	%{name} = %{version}-%{release}

Provides:  %{name}-static
Obsoletes: %{name}-static < %{version}-%{release}

%description devel
This package is the development libraries and header files for libsigsegv.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --enable-static --enable-shared --disable-silent-rules
%make_build

%install
%make_install

rm -f $RPM_BUILD_ROOT%{_libdir}/libsigsegv.la

%check
make check

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc README AUTHORS NEWS
%license COPYING
%doc ChangeLog ChangeLog.1
%{_libdir}/libsigsegv.so.2*

%files devel
%defattr(-,root,root)
%{_includedir}/sigsegv.h
%{_libdir}/libsigsegv.so
%{_libdir}/libsigsegv.a


%changelog
* Thu Nov 03 2022 fuanan <fuanan3@h-partners.com> - 2.14-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 2.14

* Wed Sep 7 2022 fuanan <fuanan3@h-partners.com> - 2.13-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Add version for Obsoletes

* Sat Nov 27 2021 fuanan <fuanan3@huawei.com> - 2.13-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 2.13

* Fri Jul 24 2020 linwei<linwei54@huawei.com> - 2.12-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update libsigsegv to 2.12

* Fri Sep 27 2019 shenyangyang<shenyangyang4@huawei.com> - 2.11-10
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:move the directory of COPYING

* Thu Sep 26 2019 shenyangyang<shenyangyang4@huawei.com> - 2.11-9
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:change the diretory of .so.2* and delete help package

* Sat Aug 31 2019 shenyangyang<shenyangyang4@huawei.com> - 2.11-8
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add help package

* Fri Aug 09 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.11-7
- Package init
